package com.onsiteservice.miniapp.service.worker;

import com.onsiteservice.entity.service.ServiceValuator;
import com.onsiteservice.dao.mapper.service.ServiceValuatorMapper;
import com.onsiteservice.miniapp.mapper.service.ServiceValuatorBizMapper;

import com.onsiteservice.dao.common.AbstractMapper;
import com.onsiteservice.dao.common.page.PageParams;
import com.onsiteservice.dao.common.page.PageInfoVO;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author 潘维吉
 * @date 2022-07-11 16:07
 * @description ServiceValuatorService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ServiceValuatorService extends AbstractMapper<ServiceValuator> {

    @Resource
    private ServiceValuatorMapper serviceValuatorMapper;
    @Resource
    private ServiceValuatorBizMapper serviceValuatorBizMapper;

    /**
     * 分页查询列表
     */
    public PageInfoVO getPage(PageParams param) {
        PageHelper.startPage(param.getPage(), param.getSize());
        return new PageInfoVO(this.selectAll());
    }

    /**
     * 保存或更新方法
     */
    public int saveOrUpdate(ServiceValuator serviceValuator) {
        if (serviceValuator.getId() == null) {
            return this.insertSelective(serviceValuator);
        } else {
            return this.updateByPrimaryKeySelective(serviceValuator);
        }
    }
}
