package com.onsiteservice.miniapp.service.worker;

import com.onsiteservice.entity.service.ServiceWorker;
import com.onsiteservice.dao.mapper.service.ServiceWorkerMapper;
import com.onsiteservice.miniapp.mapper.service.ServiceWorkerBizMapper;

import com.onsiteservice.dao.common.AbstractMapper;
import com.onsiteservice.dao.common.page.PageParams;
import com.onsiteservice.dao.common.page.PageInfoVO;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author 潘维吉
 * @date 2022-07-11 16:07
 * @description ServiceWorkerService服务类
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ServiceWorkerService extends AbstractMapper<ServiceWorker> {

    @Resource
    private ServiceWorkerMapper serviceWorkerMapper;
    @Resource
    private ServiceWorkerBizMapper serviceWorkerBizMapper;

    /**
     * 分页查询列表
     */
    public PageInfoVO getPage(PageParams param) {
        PageHelper.startPage(param.getPage(), param.getSize());
        return new PageInfoVO(this.selectAll());
    }

    /**
     * 保存或更新方法
     */
    public int saveOrUpdate(ServiceWorker serviceWorker) {
        if (serviceWorker.getId() == null) {
            return this.insertSelective(serviceWorker);
        } else {
            return this.updateByPrimaryKeySelective(serviceWorker);
        }
    }
}
